Template game for HOpengl

> import Graphics.Rendering.OpenGL
> import Graphics.UI.GLUT
> import Data.IORef
> import Consts
> import Bindings
> import Entities

Code to create the window, &c.

> initializeGame :: IO()
> initializeGame = do
>  (progname,_) <- getArgsAndInitialize
>  initialDisplayMode $= [DoubleBuffered]
>  createWindow "Lightcone"
>  reshapeCallback $= Just reshape
>  gamestate <- newIORef initialState
>  keyboardMouseCallback $= Just (keyboardMouse gamestate)
>  addTimerCallback msInterval (tick gamestate)
>  displayCallback $= (display gamestate)


> main :: IO()
> main = do
>  initializeGame
>  mainLoop


